Get Slashings information for all Validators.
curl --request GET \
--url https://api.rated.network/v1/eth/validators/slashings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rated.network/v1/eth/validators/slashings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rated.network/v1/eth/validators/slashings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rated.network/v1/eth/validators/slashings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.rated.network/v1/eth/validators/slashings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.rated.network/v1/eth/validators/slashings")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rated.network/v1/eth/validators/slashings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"next": "https://api.rated.network//v1/eth/validators/slashings?limit=10&offset=30",
"pages": 10,
"previous": "https://api.rated.network//v1/eth/validators/slashings?limit=10&offset=10",
"results": [
[
{
"balanceBeforeSlashing": 32001900366,
"balanceBeforeWithdrawal": 30980804667,
"slashingEpoch": 203644,
"slashingPenalties": 1021095699,
"validatorIndex": 516858,
"validatorPubkey": "0xafa647044b05fd7d7f3cfd806170fc9774bf37cbcfd4f083528522bb2a011e57f3af00f8bb8435a9d3316816e4cdb022",
"withdrawableEpoch": 211836
}
]
]
}{
"detail": [
{
"msg": "<string>",
"type": "<string>",
"loc": [
"<string>"
]
}
]
}Metadata
Get Slashings information for all Validators.
This endpoint returns information about the slashings for all validators.
GET
/
v1
/
eth
/
validators
/
slashings
Get Slashings information for all Validators.
curl --request GET \
--url https://api.rated.network/v1/eth/validators/slashings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rated.network/v1/eth/validators/slashings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rated.network/v1/eth/validators/slashings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rated.network/v1/eth/validators/slashings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.rated.network/v1/eth/validators/slashings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.rated.network/v1/eth/validators/slashings")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rated.network/v1/eth/validators/slashings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"next": "https://api.rated.network//v1/eth/validators/slashings?limit=10&offset=30",
"pages": 10,
"previous": "https://api.rated.network//v1/eth/validators/slashings?limit=10&offset=10",
"results": [
[
{
"balanceBeforeSlashing": 32001900366,
"balanceBeforeWithdrawal": 30980804667,
"slashingEpoch": 203644,
"slashingPenalties": 1021095699,
"validatorIndex": 516858,
"validatorPubkey": "0xafa647044b05fd7d7f3cfd806170fc9774bf37cbcfd4f083528522bb2a011e57f3af00f8bb8435a9d3316816e4cdb022",
"withdrawableEpoch": 211836
}
]
]
}{
"detail": [
{
"msg": "<string>",
"type": "<string>",
"loc": [
"<string>"
]
}
]
}This endpoint is available only to annual commitment and custom Enterprise plans. Get in touch with [email protected] to learn more.